This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 974469 - Fedora19:Beta: encrypted disk installation blocked due to insensitive passphrase confirmation window
Fedora19:Beta: encrypted disk installation blocked due to insensitive passphr...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
19
All All
unspecified Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-14 04:52 EDT by IBM Bug Proxy
Modified: 2013-10-16 14:57 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-16 14:57:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
encrypt-F19-1.png (143.07 KB, image/png)
2013-06-14 04:53 EDT, IBM Bug Proxy
no flags Details
encrypt-F19-2.png (52.50 KB, image/png)
2013-06-14 04:53 EDT, IBM Bug Proxy
no flags Details
anaconda.log (6.57 KB, text/plain)
2013-06-14 04:53 EDT, IBM Bug Proxy
no flags Details
program.log (17.17 KB, text/plain)
2013-06-14 04:54 EDT, IBM Bug Proxy
no flags Details
syslog (1.04 MB, text/plain)
2013-06-14 04:54 EDT, IBM Bug Proxy
no flags Details
storage.log (62.91 KB, text/plain)
2013-06-14 04:54 EDT, IBM Bug Proxy
no flags Details
passphrase_screen.png (191.03 KB, image/png)
2013-10-16 03:12 EDT, IBM Bug Proxy
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 94272 None None None Never

  None (edit)
Description IBM Bug Proxy 2013-06-14 04:52:59 EDT
== Comment: #0 - MANAS K. NAYAK <maknayak@in.ibm.com> - 2013-05-30 11:41:24 ==
Tried do encrypted type installation using F19 Beta ppc64 on P7 system, noticed passphrase confirmation box is insensitive & it blocked encrypt type installation.

Attached two screen shots for reference : encrypt-F19-1.png  encrypt-f19-2.png

--- Steps to reproduce ---
1) boot from virtual dvd of F19 ppc64 Beta
2) do vnc type installation
3) on vnc screen select one disk say sda
4) Then on Installation options screen , 
   - click on "encryot my data, I will set pass phrase later
   - partition scheme should be default LVM
   - click on "Reclaim Space"
   - This will take you the "disk encryption passphrase" screen , where you can see the box for "Confirm" is inactive.
   - And this will remain insensitive , even if I provided paspharse on the 1st box.


== Comment: #9 - Brent J. Baude <baude@us.ibm.com> - 2013-05-31 12:08:08 ==
Manas,

On mine if I hit 'tab' it will take me to the next field, though as you say, you cannot click there.  After hitting tab and getting there, i can use the mouse to switch back and forth.  Same for you?

== Comment: #11 - Kamalesh Babulal <kamaleshb@in.ibm.com> - 2013-06-03 02:55:05 ==
(In reply to comment #9)
> Manas,
> 
> On mine if I hit 'tab' it will take me to the next field, though as you say,
> you cannot click there.  After hitting tab and getting there, i can use the
> mouse to switch back and forth.  Same for you?

There is a bug report files for this https://bugzilla.redhat.com/show_bug.cgi?id=921948

== Comment: #13 - MANAS K. NAYAK <maknayak@in.ibm.com> - 2013-06-04 08:08:27 ==
(In reply to comment #9)
> Manas,
> 
> On mine if I hit 'tab' it will take me to the next field, though as you say,
> you cannot click there.  After hitting tab and getting there, i can use the
> mouse to switch back and forth.  Same for you?

HI Brent,
Yes, your are right. By pressing tab it took me to the next field and henceforth I could use mouse click.
But again if I change passphrase , I need to reuse the tab , no mouse click will work until then.

Thanks...
Manas

== Comment: #17 - Kamalesh Babulal <kamaleshb@in.ibm.com> - 2013-06-07 09:32:55 ==
(In reply to comment #15)
> Need feedback if the RH bz is the same.  Also, lowering from block issue
> because tab works.

I have never hacked anaconda. Its a crude idea, we anyways check for password strength for every key typed into the password text box. Leveraging it the sensitivity of the confirm password can be controlled based on strength:
diff --git a/pyanaconda/ui/gui/spokes/lib/passphrase.py b/pyanaconda/ui/gui/spokes/lib/passphrase.py
index bd41bd5..f533aad 100644
--- a/pyanaconda/ui/gui/spokes/lib/passphrase.py
+++ b/pyanaconda/ui/gui/spokes/lib/passphrase.py
@@ -91,6 +91,7 @@ class PassphraseDialog(GUIObject):
     def _update_passphrase_strength(self):
         passphrase = self._passphrase_entry.get_text()
         strength = 0
+       sensitive = False
         self._pwq_error = ""
         try:
             strength = self._pwq.check(passphrase, None, None)
@@ -100,18 +101,23 @@ class PassphraseDialog(GUIObject):
         if strength < 50:
             val = 1
             text = _("Weak")
+           sensitive = False
         elif strength < 75:
             val = 2
             text = _("Fair")
+           sensitive = True
         elif strength < 90:
             val = 3
             text = _("Good")
+           sensitive = True
         else:
             val = 4
             text = _("Strong")
+           sensitive = True
 
         self._strength_bar.set_value(val)
         self._strength_label.set_text(text)
+       self._confirm_entry.set_sensitive(sensitive)
 
     def _set_entry_icon(self, entry, icon, msg):
         entry.set_icon_from_stock(Gtk.EntryIconPosition.SECONDARY, icon)
@@ -137,7 +143,6 @@ class PassphraseDialog(GUIObject):
             sensitive = False
             self._set_entry_icon(entry, icon, msg)
 
-        self._confirm_entry.set_sensitive(sensitive)
         if sensitive:
             self._confirm_entry.grab_focus()

But one open question remains is should we clear the confirm_password text, whenever we disable the sensitivity of confirm_password.
Comment 1 IBM Bug Proxy 2013-06-14 04:53:18 EDT
Created attachment 761168 [details]
encrypt-F19-1.png
Comment 2 IBM Bug Proxy 2013-06-14 04:53:35 EDT
Created attachment 761169 [details]
encrypt-F19-2.png
Comment 3 IBM Bug Proxy 2013-06-14 04:53:50 EDT
Created attachment 761170 [details]
anaconda.log
Comment 4 IBM Bug Proxy 2013-06-14 04:54:06 EDT
Created attachment 761171 [details]
program.log
Comment 5 IBM Bug Proxy 2013-06-14 04:54:22 EDT
Created attachment 761172 [details]
syslog
Comment 6 IBM Bug Proxy 2013-06-14 04:54:38 EDT
Created attachment 761173 [details]
storage.log
Comment 7 Brian Lane 2013-06-14 20:09:03 EDT
At this point 19.30-1 is pretty much out of date. At least on x86_64 I know this works just fine. Please re-test with a more current build.
Comment 8 Ľuboš Kardoš 2013-07-03 10:19:41 EDT
I tested this on Fedora-19 anaconda 19.30.13-1 in KVM and the problem described in this bug is still here.
Comment 9 IBM Bug Proxy 2013-10-16 03:12:24 EDT
Created attachment 812786 [details]
passphrase_screen.png


------- Comment on attachment From khusriva@in.ibm.com 2013-10-16 07:09 EDT-------


This bug is not getting reproduced on fedora20.

Please see the screen shot for conformation.

passphrase_screen.png


I think we can close this bug.
Comment 10 IBM Bug Proxy 2013-10-16 14:52:23 EDT
------- Comment From gusld@br.ibm.com 2013-10-16 18:40 EDT-------
Closing from the IBM side as per previous comment.
Comment 11 David Shea 2013-10-16 14:57:17 EDT
Closing per comment 10

Note You need to log in before you can comment on or make changes to this bug.